package com.yvan.mvc;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
public @interface Pd {

    /**
     * 参数描述
     */
    String desc() default "";

    /**
     * 参数名称
     */
    String name() default "";

    /**
     * 是否必填
     */
    boolean required() default true;

    /**
     * defaultValue, 默认值
     * 必须与 required 配合使用
     */
    String defaultValue() default "";

    /**
     * mock 规则
     */
    String mock() default "";
}
